<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.HomepageFragment">

    <!-- 主内容区域 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <!-- 顶部标题栏 -->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:paddingStart="16dp"
            android:paddingEnd="14dp">

            <ImageView
                android:id="@+id/app_icon"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:scaleType="fitCenter"
                android:src="@mipmap/logo" />

            <TextView
                android:id="@+id/app_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:fontFamily="@font/alimama_shuheiti_"
                android:letterSpacing="0.03"
                android:text="@string/app_name"
                android:textColor="@color/title_color"
                android:textSize="20sp"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/collection_icon"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:src="@mipmap/ic_settings" />

        </RelativeLayout>

        <!-- 分割线 -->
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/card_divider" />

        <!-- 内容区域 -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:clipToPadding="true"
            android:paddingTop="12dp"
            android:paddingStart="12dp"
            android:paddingEnd="12dp"/>

    </LinearLayout>

    <!-- 回到顶部按钮 -->
    <ImageView
        android:id="@+id/btn_scroll_to_top"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_gravity="bottom|end"
        android:layout_marginEnd="20dp"
        android:layout_marginBottom="80dp"
        android:background="@drawable/icon_bg"
        android:clickable="true"
        android:focusable="true"
        android:padding="8dp"
        android:src="@mipmap/icon_top"
        android:visibility="gone" />

</FrameLayout>